> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Select Ga4 Property

> Pin the chosen GA4 property for the workspace.



## OpenAPI

````yaml /openapi.json post /api/v1/seo-integrations/ga4/property
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/seo-integrations/ga4/property:
    post:
      tags:
        - SEO Integrations
        - SEO Integrations
      summary: Select Ga4 Property
      description: Pin the chosen GA4 property for the workspace.
      operationId: select_ga4_property_api_v1_seo_integrations_ga4_property_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Ga4PropertySelection'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ga4PropertySelectedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Ga4PropertySelection:
      properties:
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        property_id:
          type: string
          title: Property Id
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      type: object
      required:
        - workspace_id
        - property_id
      title: Ga4PropertySelection
    Ga4PropertySelectedResponse:
      properties:
        connected:
          type: boolean
          title: Connected
        selected:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected
      type: object
      required:
        - connected
      title: Ga4PropertySelectedResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````